--- a/contrib/buildrpm Fri Nov 21 22:27:11 2008 +0000
+++ b/contrib/buildrpm Thu Nov 27 01:35:12 2008 +0100
@@ -3,9 +3,16 @@
# Build a Mercurial RPM in place.
# Known to work on:
# - Fedora 9
+# - Fedora 10
#
# Bryan O'Sullivan <bos@serpentine.com>
+if hg --version > /dev/null 2>&1; then :
+else
+ echo 'hg command not available!' 1>&2
+ exit 1
+fi
+
root="`hg root 2>/dev/null`"
specfile=contrib/mercurial.spec
--- a/contrib/mercurial.spec Fri Nov 21 22:27:11 2008 +0000
+++ b/contrib/mercurial.spec Thu Nov 27 01:35:12 2008 +0100
@@ -55,9 +55,6 @@
mkdir -p $lisp_dir
install contrib/mercurial.el $lisp_dir
-# We don't want this, do we?
-rm -f $RPM_BUILD_ROOT%{pythonlib}/../mercurial-*-py2.5.egg-info
-
%clean
rm -rf $RPM_BUILD_ROOT
@@ -74,5 +71,6 @@
%{_bindir}/hg-viz
%{_bindir}/git-rev-tree
%{_bindir}/mercurial-convert-repo
+%{_libdir}/python%{pythonver}/site-packages/%{name}-*-py2.5.egg-info
%{pythonlib}
%{hgext}
--- a/mercurial/util.py Fri Nov 21 22:27:11 2008 +0000
+++ b/mercurial/util.py Thu Nov 27 01:35:12 2008 +0100
@@ -607,7 +607,7 @@
if inc:
dummy, inckinds, dummy = normalizepats(inc, 'glob')
incmatch = matchfn(inckinds, '(?:/|$)')
- excmatch = lambda fn: False
+ excmatch = never
if exc:
dummy, exckinds, dummy = normalizepats(exc, 'glob')
excmatch = matchfn(exckinds, '(?:/|$)')
--- a/mercurial/util_win32.py Fri Nov 21 22:27:11 2008 +0000
+++ b/mercurial/util_win32.py Thu Nov 27 01:35:12 2008 +0100
@@ -245,7 +245,7 @@
def user_rcpath_win32():
'''return os-specific hgrc search path to the user dir'''
userdir = os.path.expanduser('~')
- if sys.getwindowsversion() != 2 and userdir == '~':
+ if sys.getwindowsversion()[3] != 2 and userdir == '~':
# We are on win < nt: fetch the APPDATA directory location and use
# the parent directory as the user home dir.
appdir = shell.SHGetPathFromIDList(
--- a/tests/hghave Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/hghave Thu Nov 27 01:35:12 2008 +0100
@@ -154,6 +154,9 @@
except ImportError:
return False
+def has_outer_repo():
+ return matchoutput('hg root 2>&1', r'')
+
checks = {
"baz": (has_baz, "GNU Arch baz client"),
"bzr": (has_bzr, "Canonical's Bazaar client"),
@@ -169,6 +172,7 @@
"inotify": (has_inotify, "inotify extension support"),
"lsprof": (has_lsprof, "python lsprof module"),
"mtn": (has_mtn, "monotone client (> 0.31)"),
+ "outer-repo": (has_outer_repo, "outer repo"),
"pygments": (has_pygments, "Pygments source highlighting library"),
"svn": (has_svn, "subversion client and admin tools"),
"svn-bindings": (has_svn_bindings, "subversion python bindings"),
--- a/tests/test-convert-svn-sink Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/test-convert-svn-sink Thu Nov 27 01:35:12 2008 +0100
@@ -1,6 +1,6 @@
#!/bin/sh
-"$TESTDIR/hghave" svn svn-bindings || exit 80
+"$TESTDIR/hghave" svn svn-bindings no-outer-repo || exit 80
fixpath()
{
--- a/tests/test-dispatch Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/test-dispatch Thu Nov 27 01:35:12 2008 +0100
@@ -1,6 +1,8 @@
#!/bin/sh
# test command parsing and dispatch
+"$TESTDIR/hghave" no-outer-repo || exit 80
+
hg init a
cd a
echo a > a
--- a/tests/test-extension Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/test-extension Thu Nov 27 01:35:12 2008 +0100
@@ -1,6 +1,8 @@
#!/bin/sh
# Test basic extension support
+"$TESTDIR/hghave" no-outer-repo || exit 80
+
cat > foobar.py <<EOF
import os
from mercurial import commands
--- a/tests/test-globalopts Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/test-globalopts Thu Nov 27 01:35:12 2008 +0100
@@ -1,5 +1,7 @@
#!/bin/sh
+"$TESTDIR/hghave" no-outer-repo || exit 80
+
hg init a
cd a
echo a > a
--- a/tests/test-glog Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/test-glog Thu Nov 27 01:35:12 2008 +0100
@@ -70,6 +70,8 @@
# |/
# o (0) root
+"$TESTDIR/hghave" no-outer-repo || exit 80
+
set -e
commit()
--- a/tests/test-hgweb Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/test-hgweb Thu Nov 27 01:35:12 2008 +0100
@@ -31,7 +31,7 @@
"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/diff/tip/bork?style=raw'
echo % stop and restart
-kill `cat hg.pid`
+"$TESTDIR/killdaemons.py"
hg serve -p $HGPORT -d --pid-file=hg.pid -A access.log
cat hg.pid >> $DAEMON_PIDS
# Test the access/error files are opened in append mode
--- a/tests/test-hgweb-diffs Fri Nov 21 22:27:11 2008 +0000
+++ b/tests/test-hgweb-diffs Thu Nov 27 01:35:12 2008 +0100
@@ -20,7 +20,7 @@
"$TESTDIR/get-with-headers.py" localhost:$HGPORT '/diff/tip/a'
echo % set up hgweb with git diffs
-kill `cat hg.pid`
+"$TESTDIR/killdaemons.py"
hg serve --config 'diff.git=1' -n test -p $HGPORT -d --pid-file=hg.pid -A access.log -E errors.log
cat hg.pid >> $DAEMON_PIDS